Subject: Re: [PATCH 06/15] net: hbl_cn: debugfs support

From: Leon Romanovsky <[email-masked]>
Date: Mon, 24 Jun 2024 12:22:07 +0300

On Sun, Jun 23, 2024 at 05:02:44PM +0200, Andrew Lunn wrote:
> > > If there is no netdev, what is the point of putting it into loopback?
> > > How do you send packets which are to be looped back? How do you
> > > receive them to see if they were actually looped back?
> > > 
> > > 	Andrew
> > 
> > To run RDMA test in loopback.
> 
> What is special about your RDMA? Why do you need something which other
> vendors don't? Please solve this problem for all RDMA devices, not
> yours.

I'm not aware of anything special here, which require special treatment.
All RDMA devices support loopback natively and can "put" traffic from
their TX directly to their RX. This is how we can run RDMA tests, which
are part of rdma-core https://github.com/linux-rdma/rdma-core/tree/master/tests.

Thanks